#!/bin/sh
# @(#) No-hassle installation script for gigapxy.deb (for Debian & derivative distros)

if [ '0' != `id -u` ]; then
    echo >&2 "Must be root to invoke $0"
    exit 1
fi

if [ $# -ne 1 ]; then
    echo >&2 "Usage: $0 {path-to-deb-pkg}"
    exit 1
fi

deb_pkg=${1:?}
dpkg -i --force-depends ${deb_pkg} && apt-get -f install; rc=$?
[ "$rc" -ne 0 ] && exit $rc

if cat /proc/version | cut -d' ' -f3 | grep -q '\-pve$'; then
    chgrp staff /usr/bin/gigapxy
fi

# __EOF__

